File: Dockerfile

package info (click to toggle)
dumb-init 1.2.2-1.1
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 280 kB
  • sloc: python: 653; ansic: 253; makefile: 92; sh: 50
file content (24 lines) | stat: -rw-r--r-- 792 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
FROM debian:stretch

LABEL maintainer="Chris Kuehl <ckuehl@yelp.com>"

# The default mirrors are too flaky to run reliably in CI.
RUN sed -E \
    '/security\.debian/! s@http://[^/]+/@http://mirrors.kernel.org/@' \
    -i /etc/apt/sources.list

# Install the bare minimum dependencies necessary for working with Debian
# packages. Build dependencies should be added under "Build-Depends" inside
# debian/control instead.
RUN DEBIAN_FRONTEND=noninteractive apt-get update && \
    apt-get install -y --no-install-recommends \
        build-essential \
        devscripts \
        equivs \
        lintian \
    && rm -rf /var/lib/apt/lists/* && apt-get clean
WORKDIR /mnt

ENTRYPOINT apt-get update && \
    mk-build-deps -i --tool 'apt-get --no-install-recommends -y' && \
    make builddeb